Bug 1006931 - perl-Filesys-SmbClient missing flag compatibility with samba4
Summary: perl-Filesys-SmbClient missing flag compatibility with samba4
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Filesys-SmbClient
Version: 21
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Normunds
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-11 14:07 UTC by Adam Benjamin
Modified: 2015-12-02 16:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 02:57:20 UTC


Attachments (Terms of Use)

Description Adam Benjamin 2013-09-11 14:07:10 UTC
Description of problem:
Unable to use kerberos via Filesys::SmbClient

Version-Release number of selected component (if applicable):
Filesys-SmbClient-3.2

How reproducible:
Create a new Filesys::SmbClient in perl with the option
  flags => SMB_CTX_FLAG_USE_KERBEROS
Does not invoke the use of KERBEROS.

Furthermore, making the perl module manually reveals the missing option, and the code in the header file notes the new mechanism by which kerberos is enabled.  Note that, when using the provided rpm, the invocation fails silently back to password - which runs the risk of locking your account out as the password is not likely provided.

Steps to Reproduce:
my $smb = new Filesys::SmbClient(
                                username  => "user",
                                password => "",  # working, via kerberos
                                workgroup => "DOMAIN",
                                flags => SMB_CTX_FLAG_USE_KERBEROS,
                                debug     => 10);

Actual results:
Attempts password based login.

Expected results:
Uses existing kerberos credentials.

Additional info:
See /usr/include/samba-4.0/libsmbclient.h for new method of management.

Comment 1 Fedora End Of Life 2013-12-21 14:34:17 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Normunds 2013-12-24 12:35:29 UTC
Thank you for your time filling this bug report. Unfortunately I won't have much time to devote to this question, so I would be happy if you would be able to send me a patch to fix this.

Best regards

Comment 3 Adam Benjamin 2014-01-17 22:02:20 UTC
While I'm a passably competent perl programmer, I don't have much time spent doing this sort of interface-to-a-binary type coding, so I'm not a good candidate to write the patch for you, much as I'd like to.  I'd need a mentor and some training to be able to do this... and at that point the person could have saved time and done it alone.  Sorry.

Comment 4 Fedora End Of Life 2015-01-09 19:48:16 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Adam Benjamin 2015-01-19 16:38:30 UTC
Still an issue in Fedora 20.

Comment 6 Fedora End Of Life 2015-05-29 09:23:23 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Adam Benjamin 2015-06-12 15:21:48 UTC
I'm not sure this is still a problem in Fedora 21 because there is now a bigger problem.  I've opened a separate bug: 1231299.  I suspect in fixing the one problem, this one will get fixed... but for now, I want this bug to remain open.  (Thanks.)

Comment 8 Fedora End Of Life 2015-11-04 11:28:16 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2015-12-02 02:57:26 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.